Subject: Re: [PATCH 00/11 net-next v4] Convert CONFIG_IPV6 to built-in and remove stubs

From: Jakub Kicinski <[email-masked]>
Date: Sat, 21 Mar 2026 17:03:54 -0700

On Fri, 20 Mar 2026 19:55:52 +0100 Fernando Fernandez Mancera wrote:
> Historically, the Linux kernel has supported compiling the IPv6 stack as
> a loadable module. While this made sense in the early days of IPv6
> adoption, modern deployments and distributions overwhelmingly either
> build IPv6 directly into the kernel (CONFIG_IPV6=y) or disable it
> entirely (CONFIG_IPV6=n). The modular IPv6 use-case offers image size
> and memory savings for specific setups, this benefit is outweighed by
> the architectural burden it imposes on the subsystems on implementation
> and maintenance.

I think it breaks BPF LWT tests?

FWIW you can open a pull request against this repo, and it will run all
the BPF tests for you: https://github.com/kernel-patches/bpf
Just delete the code that makes it not build because of the conflict.